m4_define(PROGRAM, para_gui)
m4_define(DEFAULT_CONFIG_FILE, ~/.paraslash/gui.conf)
[suite gui]
version-string = GIT_VERSION()
[supercommand para_gui]
	purpose = show para_audiod status in a curses window
	[description]
		para_gui is a curses program which displays status information
		about para_server and para_audiod in a terminal. Keys may be
		mapped to user-defined commands which are executed when the key is
		pressed. Command output is shown in a simple pager.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(config-file.m4)
	m4_include(loglevel.m4)
	m4_include(per-command-options-section.m4)
	[option theme]
		short_opt = T
		summary = select startup theme
		arg_info = required_arg
		arg_type = string
		typestr = name
		[help]
			If this option is not given the default theme is used. If the given
			name is not a valid theme name, the list of available themes is
			printed and the program terminates.
		[/help]
	[option stat-cmd]
		short_opt = s
		summary = command to read status items from
		arg_info = required_arg
		arg_type = string
		typestr = command
		default_val = para_audioc -- stat -p
		[help]
			On a host on which the para_audiod service is not is running, the
			default command will fail. An alternative is

				para_client -- stat -p

			This command connects para_server instead of para_audiod. However,
			no timing information about the current audio file is printed.
		[/help]
	[option key-map]
		short_opt = k
		summary = map a key to a command using one of three possible modes
		arg_info = required_arg
		arg_type = string
		typestr = k:m:c
		flag multiple
		[help]
			Mode may be d, x or p for display, external and paraslash commands,
			respectively. Of course, this option may be given multiple times,
			one for each key mapping. See the manual for more information.
		[/help]
