m4_define(PROGRAM, para_play)
m4_define(DEFAULT_HISTORY_FILE, ~/.paraslash/play.history)
m4_define(DEFAULT_CONFIG_FILE,~/.paraslash/play.conf)
[suite play]
version-string = GIT_VERSION()
[supercommand para_play]
	purpose = command line audio player
	non-opts-name = <audio_file>...
	[description]
		para_play operates either in command mode or in insert mode. In
		insert mode it presents a prompt and allows to enter commands like
		stop, play, pause etc. In command mode the current audio file and the
		playback position are shown and the program reads single key strokes
		from stdin. Keys may be mapped to commands so that the configured
		command is executed when a mapped key is pressed.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	m4_include(config-file.m4)
	m4_include(history-file.m4)
	m4_include(per-command-options-section.m4)
	[option randomize]
		short_opt = z
		summary = randomize playlist at startup
	[option key-map]
		short_opt = k
		summary = map a key to a command
		arg_info = required_arg
		arg_type = string
		flag multiple
		typestr = key:command [args]
		[help]
			This option may be given multiple times, one for each key
			mapping. Example:

				--key-map 5:jmp 50
		[/help]
